Subject: Re: xtensa port maintenance

From: Chris Zankel <[email-masked]>
Date: Fri, 10 Aug 2012 15:39:04 -0700

Hi Arnd,

Given the recent renewed push for Xtensa, I'll step in to feed the 
changes upstream. We might change that in future, though.

Max has volunteered to help bring the Xtensa port up-to-date. Most of 
the recent development was done on outdated trees and never got 
submitted in true kernel-manner (i.e. small changes at a time). It's 
also important to bring the ecosystem (compilers, libraries, etc.) to 
the latest trees, and my understanding is that there's also work going 
on in that area.

I have set up a tree on github for now, and will work close with Max to 
get his changes to Stephen's linux-next tree and eventually Linus' tree. 
I think it's fine to add Max as a second maintainer, so he can help 
filtering patches.

Cheers!
-Chris

On 8/10/12 2:15 PM, Arnd Bergmann wrote:
> On Monday 06 August 2012, Max Filippov wrote:
>> I have a couple of questions regarding the path of xtensa-specific patches
>> upstream:
>>      - which git tree should they be targeted for? Should I set up a tree for
>>        pull requests, or will patches be picked up into some existing tree?
>>        (Looks like Linus' tree is the right target. AFAIK previously xtensa
>>        patches went mostly through akpm tree).
> Setting up a git tree is a good first step if you want to be the official
> maintainer, and if you want to get it included into linux-next.
>